Create Address Group

Creates a new address group.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

POST /api/sonar/address-groups
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -d name=Exceptions \
     -X POST \
     https://HOSTNAME/api/sonar/address-groups
Request Parameters
KeyRequiredTypeDescriptionNote
nameOStringAddress group nameMinimum 1 to maximum 50 characters
guidXStringAddress group GUID36 characters. The default value is randomly generated.
descriptionXStringAddress group descriptionMaximum 2,000 characters
shareXBooleanWhether to share

Success Response

{
  "guid": "8df64276-a16e-4bae-93cd-c207c8155159"
}
  • guid (String): GUID of the created address group

Error Responses

Required argument is missing

HTTP status code 400

{
    "error_code": "null-argument",
    "error_msg": "name should be not null"
}
Invalid argument length

HTTP status code 400

{
    "error_code": "invalid-argument",
    "error_msg": "'name' must be shorter than or equal to 50 characters."
}
Identifier is not in valid GUID format

HTTP status code 400

{
    "error_code": "invalid-param-type",
    "error_msg": "guid should be guid type."
}